Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(86)

Issue 160583002: Pass the correct value for the available width to updateLogicalWidthForAlignment() after placing an… (Closed)

Created:
5 years, 7 months ago by mario.prada
Modified:
5 years, 7 months ago
CC:
blink-reviews, bemjb+rendering_chromium.org, dsinclair, zoltan1, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering, pdr., dglazkov, eseidel, leviw_travelin_and_unemployed
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Pass the correct value for the available width to updateLogicalWidthForAlignment() after placing an ellipsis The current code passes the right end of the line (normally equal to blockRightEdge) to updateLogicalWidthForAlignment() after placing the ellipsis string for a truncated text with 'text-overflow: ellipsis', instead of passing the actual width between the left and right edges. That mistake causes that left padding and border, when they exist, are not being properly taking into account for ellipsized text, resulting in updateLogicalWidthForAlignment() thinking that the value for availableLogicalWidth is bigger than what it actually is, thus misplacing the text inside the container block after the adjustment. Additionally, this patch renames one variable and changes the shape of the formula for RTL text in RenderBlockFlow::checkLinesForTextOverflow(), to make it more readable and understandable. BUG=166258, 166263 TEST=Added new test to ensure ellipsis is properly drawn for blocks with border and padding set. R=tkent@chromium.org, dglazkov@chromium.org, eae@chromium.org, eseidel@chromium.org, leviw@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=167194

Patch Set 1 #

Patch Set 2 : Rebase patch against master #

Patch Set 3 : Rebased patch again against master #

Messages

Total messages: 20 (0 generated)
mario.prada
I think this patch fixes the issue with the ellipsized text as described in bugs ...
5 years, 7 months ago (2014-02-12 17:29:07 UTC) #1
eae
On 2014/02/12 17:29:07, mario.prada wrote: > I think this patch fixes the issue with the ...
5 years, 7 months ago (2014-02-14 10:29:10 UTC) #2
eae
The CQ bit was checked by eae@chromium.org
5 years, 7 months ago (2014-02-14 10:38:56 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mario.prada@samsung.com/160583002/1
5 years, 7 months ago (2014-02-14 10:39:12 UTC) #4
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 7 months ago (2014-02-14 10:39:14 UTC) #5
commit-bot: I haz the power
Failed to apply patch for LayoutTests/TestExpectations: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 7 months ago (2014-02-14 10:39:15 UTC) #6
mario.prada
Rebase patch against master
5 years, 7 months ago (2014-02-14 10:48:57 UTC) #7
eae
The CQ bit was checked by eae@chromium.org
5 years, 7 months ago (2014-02-14 10:53:07 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mario.prada@samsung.com/160583002/90001
5 years, 7 months ago (2014-02-14 10:53:25 UTC) #9
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 7 months ago (2014-02-14 11:45:37 UTC) #10
commit-bot: I haz the power
Retried try job too often on win_blink_rel for step(s) blink_heap_unittests, blink_platform_unittests, webkit_lint, webkit_python_tests, webkit_tests, webkit_unit_tests, ...
5 years, 7 months ago (2014-02-14 11:45:38 UTC) #11
eae
On 2014/02/14 11:45:38, I haz the power (commit-bot) wrote: > Retried try job too often ...
5 years, 7 months ago (2014-02-14 11:51:24 UTC) #12
eae
The CQ bit was checked by eae@chromium.org
5 years, 7 months ago (2014-02-14 11:51:31 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mario.prada@samsung.com/160583002/90001
5 years, 7 months ago (2014-02-14 11:51:51 UTC) #14
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 7 months ago (2014-02-14 11:51:54 UTC) #15
commit-bot: I haz the power
Failed to apply patch for LayoutTests/TestExpectations: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 7 months ago (2014-02-14 11:51:55 UTC) #16
mario.prada
Rebased patch again against master
5 years, 7 months ago (2014-02-14 12:00:17 UTC) #17
eae
The CQ bit was checked by eae@chromium.org
5 years, 7 months ago (2014-02-14 12:01:33 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mario.prada@samsung.com/160583002/310001
5 years, 7 months ago (2014-02-14 12:01:50 UTC) #19
commit-bot: I haz the power
5 years, 7 months ago (2014-02-14 13:50:37 UTC) #20
Message was sent while issue was closed.
Change committed as 167194

Powered by Google App Engine
This is Rietveld 408576698